Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RRegexp Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
struct re_pattern_buffer * | ptr
VALUE | src
unsigned long | usecnt

## Detailed Description

Definition at line 697 of file ruby.h.

## Field Documentation

struct RBasic RRegexp::basic

Definition at line 698 of file ruby.h.

struct re_pattern_buffer* RRegexp::ptr

Definition at line 699 of file ruby.h.

Referenced by rb_reg_equal(), and rb_reg_initialize().

VALUE RRegexp::src

Definition at line 700 of file ruby.h.

Referenced by gc_mark_children().

unsigned long RRegexp::usecnt

Definition at line 701 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h